Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum InheritanceType

    java.lang.Object
      java.lang.Enum<InheritanceType>
          javax.persistence.InheritanceType

All Implemented Interfaces:
  Serializable, Comparable<InheritanceType>

    public enum InheritanceType

extends Enum<InheritanceType>

Defines inheritance strategy options.

Since:
  Java Persistence 1.0

Enum Constant Summary
`JOINED` A strategy in which fields that are specific to a subclass are mapped to a separate table than the fields that are common to the parent class, and a join is performed to instantiate the subclass.
`SINGLE_TABLE` A single table per class hierarchy
`TABLE_PER_CLASS` A table per concrete entity class

Method Summary
`static InheritanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InheritanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_TABLE

    public static final InheritanceType SINGLE_TABLE

  A single table per class hierarchy

### TABLE_PER_CLASS

    public static final InheritanceType TABLE_PER_CLASS

  A table per concrete entity class

### JOINED

    public static final InheritanceType JOINED

  A strategy in which fields that are specific to a subclass are mapped to a separate table than the fields that are common to the parent class, and a join is performed to instantiate the subclass.

Method Detail

### values

    public static final InheritanceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InheritanceType c : InheritanceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InheritanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.